package com.jz.dm.mall.moduls.controller.order;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jz.common.utils.Result;
import com.jz.dm.mall.moduls.entity.Order;
import com.jz.dm.mall.moduls.service.OrderService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 订单表(TOrder)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:41
 */
@RestController
@RequestMapping("/order")
@Api(tags = "订单管理")
public class OrderController{
    /**
     * 服务对象
     */
    @Autowired
    private OrderService tOrderService;

    @GetMapping(value = "/list")
    @ApiOperation(value = "订单管理列表（分页查询）", notes = "订单列表（分页查询）")
    public Result<IPage<Order>> queryPageList(Order order, HttpServletRequest req) throws Exception {
        Result<IPage<Order>> result = new Result<IPage<Order>>();
        IPage<Order> pageList = tOrderService.queryPage(new Page<Order>(1, 2), order);
        result.setSuccess(true);
        result.setResult(pageList);
        return result;
    }
}